**@openfin/web-interop** • [API](../../../README.md)

***

[@openfin/web-interop](../../../README.md) / [@openfin/web-interop](../README.md) / StandAloneConnectonConfig

# Type alias: StandAloneConnectonConfig

> **StandAloneConnectonConfig**: `Object`

## Type declaration

### connectionInheritance?

> **`optional`** **connectionInheritance**: `"disabled"`

If 'enabled', connection option inheritance is enabled if the current browsing context is
a nested browsing context within an `<of-view>` element. This means that the brokerUrl and Identity
of the connection will be determined by the parent browsing context. Specifying a value is mandatory.

### options

> **options**: [`BaseConnectionOptions`](BaseConnectionOptions.md)

Options used to connect to an OpenFin Web Broker. Mandatory if StandAloneConnectonConfig.connectionInheritance is false.
